Steam will not launch and is asking for an older 32 bit package (this is an error from 2013?)

Looked this up; most of the solutions are from 2013; should not be asking to install a 32 bit package. ~ [SOLVED] steam: missing libc.so.6 / Multimedia and Games / Arch Linux Forums

Seems like this is some sort of issue with KDE; steam crashed before this happened; also likely that it is do to manipulation of some sort.

Attacker could also be trying to get 32bit libraries installed on the system as well.

Probably need to do a fresh install to fix this.

Much appreciated.

System:
Kernel: 6.7.9-hardened1-1-hardened arch: x86_64 bits: 64 compiler: gcc
v: 13.2.1 clocksource: tsc avail: hpet,acpi_pm parameters: pti=on
page_alloc.shuffle=1 BOOT_IMAGE=/@/boot/vmlinuz-linux-hardened
root=UUID=ee9d8e46-88f6-40bb-a345-3b374ebb4edb rw rootflags=subvol=@
quiet rd.luks.uuid=5d766ada-bbea-4479-b984-c5950293753b quiet
rd.udev.log_priority=3 vt.global_cursor_default=0 loglevel=3 ibt=off
Desktop: KDE Plasma v: 6.0.3 tk: Qt v: N/A info: frameworks v: 6.0.0
wm: kwin_wayland vt: 1 dm: SDDM Distro: Garuda base: Arch Linux
Machine:
Type: Desktop Mobo: ASUSTeK model: A88XM-PLUS v: Rev X.0x
serial: <superuser required> part-nu: SKU uuid: <superuser required>
UEFI-[Legacy]: American Megatrends v: 3004 date: 04/14/2017
Battery:
Device-1: ps-controller-battery-1c:96:5a:c3:bb:50 model: N/A serial: N/A
charge: N/A status: full
CPU:
Info: model: AMD A10-7850K Radeon R7 12 Compute Cores 4C+8G bits: 64
type: MT MCP arch: Steamroller level: v2 built: 2014 process: GF 28nm
family: 0x15 (21) model-id: 0x30 (48) stepping: 1 microcode: 0x6003106
Topology: cpus: 1x cores: 4 smt: enabled cache: L1: 256 KiB
desc: d-4x16 KiB; i-2x96 KiB L2: 4 MiB desc: 2x2 MiB
Speed (MHz): avg: 3672 high: 3877 min/max: 1700/3700 boost: enabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 3472 2: 3713
3: 3877 4: 3626 bogomips: 29539
Flags: avx ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities: <filter>
Graphics:
Device-1: AMD Vega 10 XL/XT [Radeon RX 56/64] vendor: XFX Pine
driver: amdgpu v: kernel arch: GCN-5 code: Vega process: GF 14nm
built: 2017-20 pcie: gen: 3 speed: 8 GT/s lanes: 16 ports: active: DP-3
empty: DP-1,DP-2,HDMI-A-1 bus-ID: 03:00.0 chip-ID: 1002:687f
class-ID: 0300
Display: wayland server: X.org v: 1.21.1.11 with: Xwayland v: 23.2.4
compositor: kwin_wayland driver: X: loaded: amdgpu unloaded: modesetting
alternate: fbdev,vesa dri: radeonsi gpu: amdgpu display-ID: 0
Monitor-1: DP-3 res: 1360x768 size: N/A modes: N/A
API: EGL v: 1.5 hw: drv: amd radeonsi platforms: device: 0 drv: radeonsi
device: 1 drv: swrast surfaceless: drv: radeonsi wayland: drv: radeonsi x11:
drv: radeonsi inactive: gbm
API: OpenGL v: 4.6 compat-v: 4.5 vendor: amd mesa v: 24.0.3-arch1.2
glx-v: 1.4 direct-render: yes renderer: AMD Radeon RX Vega (radeonsi vega10
LLVM 17.0.6 DRM 3.57 6.7.9-hardened1-1-hardened) device-ID: 1002:687f
memory: 7.81 GiB unified: no display-ID: :1.0
API: Vulkan v: 1.3.279 layers: 7 device: 0 type: discrete-gpu name: AMD
Radeon RX Vega (RADV VEGA10) driver: mesa radv v: 24.0.3-arch1.2
device-ID: 1002:687f surfaces: xcb,xlib,wayland device: 1 type: cpu
name: llvmpipe (LLVM 17.0.6 256 bits) driver: mesa llvmpipe
v: 24.0.3-arch1.2 (LLVM 17.0.6) device-ID: 10005:0000
surfaces: xcb,xlib,wayland
Audio:
Device-1: AMD FCH Azalia vendor: ASUSTeK AM1I-A driver: snd_hda_intel
v: kernel bus-ID: 00:14.2 chip-ID: 1022:780d class-ID: 0403
Device-2: AMD Vega 10 HDMI Audio [Radeon 56/64] driver: snd_hda_intel
v: kernel pcie: gen: 3 speed: 8 GT/s lanes: 16 bus-ID: 03:00.1
chip-ID: 1002:aaf8 class-ID: 0403
API: ALSA v: k6.7.9-hardened1-1-hardened status: kernel-api tools: N/A
Server-1: PipeWire v: 1.0.4 status: active with: 1: pipewire-pulse
status: active 2: wireplumber status: active 3: pipewire-alsa type: plugin
4: pw-jack type: plugin tools: pactl,pw-cat,pw-cli,wpctl
Network:
Device-1: Realtek RTL8111/8168/8211/8411 PCI Express Gigabit Ethernet
vendor: ASUSTeK H81M-C driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
lanes: 1 port: d000 bus-ID: 06:00.0 chip-ID: 10ec:8168 class-ID: 0200
IF: enp6s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Info: services: NetworkManager,systemd-timesyncd
Drives:
Local Storage: total: 1.14 TiB used: 30.07 GiB (2.6%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/sda maj-min: 8:0 vendor: Samsung model: SSD 840 PRO Series
size: 238.47 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
tech: SSD serial: <filter> fw-rev: 3B0Q scheme: MBR
ID-2: /dev/sdb maj-min: 8:16 vendor: Samsung model: SSD 860 EVO 1TB
size: 931.51 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
tech: SSD serial: <filter> fw-rev: 4B6Q scheme: GPT
Partition:
ID-1: / raw-size: 238.46 GiB size: 238.46 GiB (100.00%)
used: 30.07 GiB (12.6%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-5d766ada-bbea-4479-b984-c5950293753b
ID-2: /home raw-size: 238.46 GiB size: 238.46 GiB (100.00%)
used: 30.07 GiB (12.6%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-5d766ada-bbea-4479-b984-c5950293753b
ID-3: /var/log raw-size: 238.46 GiB size: 238.46 GiB (100.00%)
used: 30.07 GiB (12.6%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-5d766ada-bbea-4479-b984-c5950293753b
ID-4: /var/tmp raw-size: 238.46 GiB size: 238.46 GiB (100.00%)
used: 30.07 GiB (12.6%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-5d766ada-bbea-4479-b984-c5950293753b
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default) zswap: no
ID-1: swap-1 type: zram size: 31.3 GiB used: 0 KiB (0.0%) priority: 100
comp: zstd avail: lzo,lzo-rle,lz4,lz4hc,842 max-streams: 4 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 18.9 C mobo: N/A gpu: amdgpu temp: 33.0 C
mem: 25.0 C
Fan Speeds (rpm): N/A gpu: amdgpu fan: 805
Info:
Memory: total: 32 GiB available: 31.3 GiB used: 3.31 GiB (10.6%)
Processes: 231 Power: uptime: 23m states: freeze,mem suspend: deep
avail: s2idle wakeups: 0 services: org_kde_powerdevil,
power-profiles-daemon, upowerd Init: systemd v: 255 default: graphical
tool: systemctl
Packages: pm: pacman pkgs: 1493 libs: 478 tools: octopi,paru Compilers:
gcc: 13.2.1 Shell: garuda-inxi default: Bash v: 5.2.26 running-in: konsole
inxi: 3.3.33
Garuda (2.6.23-1):
System install date:     2023-03-11
Last full system update: 2024-03-30
Is partially upgraded:   No
Relevant software:       snapper NetworkManager dracut
Windows dual boot:       <superuser required>
Failed units:

Steam, and games in general, often require 32-bit libraries. It would be odd for a desktop application, but for games it is very common.

What is the exact error you are getting?

Tried reinstalling Steam; also tried reinstalling all packages; happened after the recent Steam update through the package manager not Steam itself.

Exact error that popped up after the Steam panic screen popped up asking if Steam should be restarted.

Had no issues updating the Steam Package on two other systems so far.

can you try sudo pacman -S lib32-glibc ?

You need the 32 bit packages. Make sure you have the multilib repo enabled, here is a guide to do so and after that, it should pull in Steam’s 32 bit files.

Arch Linux - How to enable multilib and install Steam using pacman

Here is also a handy guide for gaming, making sure you have pulled in all the necessary GPU drivers and dependencies for gaming, along with installing wine-staging/lutris, etc.

The Ultimate Linux Gaming Guide

4 Likes

Will try those; also a clean install soon after when the new ISO releases; thank you.

Wonder why it would break after a Steam update; in such a strange way too.

Much appreciated.